This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 513907 - fedora-security-guide-en-US goes boom in koji
fedora-security-guide-en-US goes boom in koji
Status: CLOSED NEXTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
1.6
All Linux
high Severity urgent
: ---
: ---
Assigned To: Jeff Fearn
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-26 23:23 EDT by eric@christensenplace.us
Modified: 2010-11-23 23:17 EST (History)
6 users (show)

See Also:
Fixed In Version: 1.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-27 21:07:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description eric@christensenplace.us 2009-07-26 23:23:10 EDT
Description of problem: SRPMs fail to build in Koji due to the following error:

Processing files: fedora-security-guide-en-US-1.0-16.fc12.noarch
error: Two files on one line: /usr/share/applications/Fedora
error: File must begin with "/": Projectfedora-security-guide-en-US.desktop


Version-Release number of selected component (if applicable): 0.44-0.fc11


Possible Fix: Remove the %{?vendoropt} from

desktop-file-install  %{?vendoropt}
--dir=${RPM_BUILD_ROOT}%{_datadir}/applications %{name}.desktop

or remove %{vendor} all together.

I'll be testing this soon to see if I can provide a patch.
Comment 1 Jeff Fearn 2009-07-26 23:43:53 EDT
As I recall, and it has been a while, vendoropt was added during the review of publican as it is a required field. So removing it would seem to be the wrong thing.

It looks to me like your package name is contains "Fedora Project" with a space, this is not a valid package name since spaces are not allowed in package names.

Please attach the spec file so I can take a look at it.
Comment 2 eric@christensenplace.us 2009-07-27 08:35:38 EDT
Hi Jeff,
Yeah, it's getting the "Fedora Project" from the vendoropt.  The package name is Fedora-Security-Guide.

SPEC: http://cvs.fedoraproject.org/viewvc/rpms/fedora-security-guide-en-US/devel/fedora-security-guide-en-US.spec?revision=1.4&view=markup

Thanks,
Eric
Comment 6 Jeff Fearn 2009-07-27 17:17:43 EDT
According to https://fedoraproject.org/wiki/Packaging/Guidelines#desktop-file-install_usage   the vendor tag should only be used for existing packaging that use it ... so you need to remove it from the spec file.
Comment 7 eric@christensenplace.us 2009-07-27 17:22:07 EDT
I agree.  That SPEC is how Publican generates it.  So can it be removed?
Comment 11 Jens Petersen 2009-07-27 20:14:20 EDT
I wonder what changed since
http://koji.fedoraproject.org/koji/taskinfo?taskID=1416027 ?
Comment 12 eric@christensenplace.us 2009-07-27 20:20:55 EDT
Yeah, that's what I was wondering.
Comment 13 Jeff Fearn 2009-07-27 20:24:54 EDT
Clearly the vendor tag has changed from 'fedora' to 'Fedora Project'.

(In reply to comment #7)
> I agree.  That SPEC is how Publican generates it.  So can it be removed?  

That vendor stuff was only added because it was a fedora packaging requirement. Since there are no existing books being shipped in Fedora, my solution would be to pull it out entirely from the next version.
Comment 14 eric@christensenplace.us 2009-07-27 20:32:48 EDT
I agree.  I don't see the need for it, here.

Is this something in the fedora "brand" or ???  I'd be happy to pull it out of the code and provide a patch if you can point me in the direction of the proper file.
Comment 15 Jeff Fearn 2009-07-27 20:41:37 EDT
(In reply to comment #14)
> I agree.  I don't see the need for it, here.
> 
> Is this something in the fedora "brand" or ???  I'd be happy to pull it out of
> the code and provide a patch if you can point me in the direction of the proper
> file.  

It's in /usr/share/publican/xsl/dt_htmlsingle_spec.xsl

You need to remove all references to vendor and vendoropt.

Here is a diff:

--- /usr/share/publican/xsl/dt_htmlsingle_spec.xsl      2009-03-27 12:12:05.000000000 +1000
+++ dt_htmlsingle_spec.xsl      2009-07-28 10:37:47.000000000 +1000
@@ -17,8 +17,6 @@
 
 %if %{HTMLVIEW}
 %define viewer htmlview
-%define vendor redhat-
-%define vendoropt --vendor="redhat"
 %endif
 
 Name:  <xsl:value-of select="$book-title"/>-<xsl:value-of select="$book-lang"/>
@@ -66,7 +64,7 @@
 Terminal=false
 EOF
 
-desktop-file-install  %{?vendoropt} --dir=${RPM_BUILD_ROOT}%{_datadir}/applications %{name}.desktop
+desktop-file-install --dir=${RPM_BUILD_ROOT}%{_datadir}/applications %{name}.desktop
 
 %clean
 rm -rf $RPM_BUILD_ROOT
@@ -74,7 +72,7 @@
 %files
 %defattr(-,root,root,-)
 %doc tmp/<xsl:value-of select="$book-lang"/>/html-desktop/*
-%{_datadir}/applications/%{?vendor}%{name}.desktop
+%{_datadir}/applications/%{name}.desktop
 
 %changelog<xsl:value-of select="$log"/>
Comment 16 Jeff Fearn 2009-07-27 21:07:17 EDT
This change is in place for the next release.
Comment 17 eric@christensenplace.us 2009-07-27 23:47:22 EDT
Yeah, all is well here...  Thanks!

Note You need to log in before you can comment on or make changes to this bug.